[package]
name = "dsx"
version.workspace = true
edition.workspace = true
authors.workspace = true

[[bin]]
name = "dsx"
path = "src/main.rs"

[dependencies]
compiler = { path = "../../core/compiler" }
assembler = { path = "../../core/assembler" }
common = { path = "../../core/dsa_common" }
dsx_common = { path = "../dsx_common" }
toml = "1.0.3"
chrono = "0.4.44"
reqwest = { version = "0.13.2", default-features = false, features = ["blocking", "native-tls"] }
tar = "0.4.44"
flate2 = "1.1.9"
